package api

import (
	v1 "ln/nft/api/v1"
	"ln/nft/middleware"

	"github.com/gin-gonic/gin"
)

type ApiHerbsRouter struct {
}

// InitApiHerbsRouter 初始化 AppHerbsN 路由信息
func (s *ApiHerbsRouter) InitApiHerbsRouter(Router *gin.RouterGroup) {
	apiHerbsRouter := Router.Group("apiHerbs").Use(middleware.OperationRecord())
	apiHerbsRouterWithoutRecord := Router.Group("apiHerbs")
	var apiHerbsApi = v1.ApiGroupApp.AppApiGroup.AppHerbsNApi
	{
		apiHerbsRouter.POST("createAppHerbs", apiHerbsApi.CreateAppHerbsN)             // 新建AppHerbs
		apiHerbsRouter.DELETE("deleteAppHerbs", apiHerbsApi.DeleteAppHerbsN)           // 删除AppHerbs
		apiHerbsRouter.DELETE("deleteAppHerbsByIds", apiHerbsApi.DeleteAppHerbsNByIds) // 批量删除AppHerbs
		apiHerbsRouter.PUT("updateAppHerbs", apiHerbsApi.UpdateAppHerbsN)              // 更新AppHerbs
	}
	{
		apiHerbsRouterWithoutRecord.GET("findAppHerbs", apiHerbsApi.FindAppHerbsN)       // 根据ID获取AppHerbsN
		apiHerbsRouterWithoutRecord.GET("getAppHerbsList", apiHerbsApi.GetAppHerbsNList) // 获取AppHerbsN列表
	}
}
